;________________________________________________________________________
;
;                           S E T T I N G S . A S M
;________________________________________________________________________
;
; Reading Options from a table
; Revision July 2002 - IK3SVW Max
;________________________________________________________________________

#define	OPT_AUTO_TX_DELAY	D'0'
#define	OPT_MANUAL_TX_DELAY	D'1'
#define	OPT_BEACON_RATE1	D'2'
#define	OPT_STATUS_RATE1	D'3'
#define	OPT_BEACON_RATE2	D'4'
#define	OPT_STATUS_RATE2	D'5'
#define	OPT_RANGE_TIME		D'6'
#define	OPT_QUIET_TIME		D'7'
#define	OPT_BEACON_OFFSET	D'8'
#define	OPT_STATUS_OFFSET	D'9'
#define	OPT_CALLSIGN_DIGI	D'10'
#define	CONFIG_SELECT		PORTA, 4
;________________________________________________________________________

	ORG	H'300'			

Get_Option
	bsf	PCLATH,0
	bsf	PCLATH,1

	btfss	CONFIG_SELECT
	 addlw	D'120'

	call	_Get_Option
	bcf	PCLATH,0
	bcf	PCLATH,1
	return

_Get_Option
	addwf	PCL, F
;________________________________________________________________________


Option1_Start

; If you wish modify the Auto and Manual TX delay
	dt	D'30'		; number of flags to send auto: 200ms (1s -> 150 flags)
	dt	D'6'		; number of flags to send manual: 40ms

; If you wish modify the Beacons timing 1
	dt	D'10'		; beacon rate 1 (x time range sec)
	dt	D'15'		; status rate 1 (x time range sec)

; If you wish modify the Beacons timing 2
	dt	D'20'		; beacon rate 2 (x time range sec)
	dt	D'30'		; status rate 2 (x time range sec)

; If you wish modify the time range for timings
	dt	D'60'		; time range in seconds

; If you wish modify the Quiet Time setting
	dt	D'1'		; quiet time before ptt in seconds

; Do NOT change the two lines below.
	dt	Beacon1_Start - Option1_Start  ; beacon offset
	dt	Status1_Start - Option1_Start  ; status offset

; Please change data below with your callsign, dest and digi(s)
	dt 	"APEBCN", D'0' + H'30' ; Destination APE indicates Pic-E.
        dt      "NOCALL", D'0' + H'30' ; Callsign and ssid
        dt      "RELAY ", D'0' + H'30' ; Ddigi and ssid
        dt      "WIDE3 ", D'3' + H'30' ; Ddigi and ssid
;       dt      "TRACE5", D'5' + H'30' ; Ddigi and ssid
	dt	0

; Please change the Beacon string below
; (for APRS standard must contain symbol table & lat/lon)
Beacon1_Start
        dt      "!0000.00N/00000.00E-PHG0000/Beacon #1"    ; please change beacon string
	dt	0

; If you wish change the Status text string below
; (for APRS standard a string of max 62 char long, containing any printable ASCII char except | or ~)
Status1_Start
        dt      "PIC-Encoder A.P.R.S. stand-alone Beacon #1"    ; status string
	dt	0
;________________________________________________________________________

	ORG	Option1_Start + D'120'


Option2_Start

; If you wish modify the Auto and Manual TX delay
	dt	D'30'		; number of flags to send auto: 200ms (1s -> 150 flags)
	dt	D'6'		; number of flags to send manual: 40ms

; If you wish modify the Beacons timing 1
	dt	D'10'		; beacon rate 1 (x time range sec)
	dt	D'15'		; status rate 1 (x time range sec)

; If you wish modify the Beacons timing 2
	dt	D'20'		; beacon rate 2 (x time range sec)
	dt	D'30'		; status rate 2 (x time range sec)

; If you wish modify the time range for timings
	dt	D'60'		; time range in seconds

; If you wish modify the Quiet Time setting
	dt	D'1'		; quiet time before ptt in seconds

; Do NOT change the two lines below.
	dt	Beacon2_Start - Option2_Start  ; beacon offset
	dt	Status2_Start - Option2_Start  ; status offset

; Please change data below with your callsign, dest and digi(s)
	dt 	"APEBCN", D'0' + H'30' ; Destination APE indicates Pic-E.
        dt      "NOCALL", D'0' + H'30' ; Callsign and ssid
	dt	"RELAY ", D'0' + H'30' ; Digi and ssid
	dt	"WIDE  ", D'0' + H'30' ; Digi and ssid
;       dt      "WIDE  ", D'0' + H'30' ; Digi and ssid
	dt	0

; Please change the Beacon string below
; (for APRS standard must contain symbol table & lat/lon)
Beacon2_Start
        dt      "!0000.00N/00000.00E-PHG0000/Beacon #2"    ; please change beacon string
	dt	0

; If you wish change the Status text string below
; (for APRS standard a string of max 62 char long, containing any printable ASCII char except | or ~)
Status2_Start
        dt      "PIC-Encoder A.P.R.S. stand-alone Beacon #2"    ; status string
	dt	0
;________________________________________________________________________